Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • json/lib/json/common.rb

Parent

Methods

JSON::JSONError

The base exception for JSON errors.

Public Class Methods

wrap(exception) click to toggle source
 
               # File json/lib/json/common.rb, line 107
def self.wrap(exception)
  obj = new("Wrapped(#{exception.class}): #{exception.message.inspect}")
  obj.set_backtrace exception.backtrace
  obj
end